

By the laws of everyday physics, I shouldn't be alive today. But I am alive, so I decided to share my experience by my best ability to comprehend what really happened.

It was about 6:30 in the morning, as I was driving on a highway to work. The rush-hour traffic was very busy, with cars speeding all around me, but I could still maintain our travelling speed of 120 km/h, which is lower than the allowed speed of 130 km/h. Then the rain started to pour down. Before I could reduce my speed, I drove into pooling rain water that gathered on the road, a classic case of hydroplaning. At that moment, I was surrounded by at least five cars on my right and more cars behind me. My car got pulled from the water and I crashed into the highway fence on my left side. The car got bounced and started to spin around over the road.

It all happened at once. Instinctively, I stretched my arms and legs to fix myself into the seat. I was staring into the windshield; listening, and waiting to crush into a car beside me. By logic of situation, there had to be a crash. Let me here point out another fact. Outside it was pretty dark and because of the rain the visibility was like gloomy, wet twilight. So, with eyes wide opened, I was expecting the crush while spinning around and around.

The windshield turned milky, bright white. The inside of the car was absent of any sound, any movement or change. It was like I was spinning in the white room. I felt the spinning of the car, but nothing else was moving. It was like I would spin in one spot. As much as I felt, the car should have made at least three full spins around itself. But all I could see outside was this white surrounding; no road, no other cars, nothing else. I can't say how long this lasted, maybe five seconds, ten seconds, or twenty seconds. I wouldn't know as there was no orientation on that, but it did seem like prolonged time of spinning and staring in white and waiting for the impact.

Impact came, but much different than I expected. It was the sound of a crushing car when it landed. My body bounced. Instantly, the white was lifted and the windshield turned dark again with rain falling on it. I was there again, on the road. The car did hit the fence and stayed glued to it. The car was turned around, facing back from where I came. 'I'm alive!' was my first happy thought. For a moment, I stared at the cars speeding directly towards. 'I must get out, before someone hits me just now!' I couldn't use the driver's door as I would step out directly in front of cars and the other door was blocked by the fence. By big fortune, the electricity in car was still working. So I pulled down the side window, even grabbed my bag from seat by moving over, and climbed out into the middle space between two highway fences. Just then the car died and front lights went out. I used my phone light to wave around in attempt to warn the drivers that there is my car in their way. The visibility was still very bad and some drivers avoided it in last moment.

The pain in the neck arm and leg was all the pain I felt. It took 20 scary minutes before the police came and put out warning signs, but no one crushed into my car during that time. I'm still happy for that, too.

After this, I was in quite a shock for few days, mostly because I was so happy I was still alive. I just couldn't believe it! My friend said, ' God has still plans with you, so angels saved you.' Maybe, but it is unbelievable. I was thinking about this a lot. About my reactions, how at that time my brain worked by high efficiency. I thought about if car electricity wouldn't work, I would probably remember to climb on back seats and open a window there by hand. How I took a bag and phone in it. How I didn't panic until few hours later when I started to shake. What I saw and experienced is not so difficult to describe as it is difficult to understand. Supposedly, the car danced all over from left side of the highway to the right side of it and then back to the middle, but it did not hit anything? Unfortunately, I don't have any witnesses' reports or anything else. Nobody actually stopped, so I can't tell what they saw, how I was spinning, where and for how long. Maybe I was actually spinning on the spot, but the car behind me would inevitably run into me.

My only explanation comes from science fiction, like moving to another dimension or another space-time. Can our reality be bended this way? If I moved, did I cause it myself or was it caused by some other force? Whatever it was, I was saved by some kind of miracle, unbelievable luck, or something. Surely, I'm grateful for every day that is given to me since then and sometimes I think that this time is somehow borrowed and not meant to actually be mine.



